import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Explosion extends Actor
{
    private int timer = 1;
    private GreenfootImage image;
    private boolean trigger = true;
    private GreenfootSound boom = new GreenfootSound("Explosion.wav");
    public Explosion()
    {
        image = new GreenfootImage("cosmicexplosion.png");
        boom.play();
    }
    
    public void act() 
    {
        hurt();
        growAndDie();
    }    
    
    private void hurt()
    {
        if(getOneIntersectingObject(Player.class)!=null && trigger)
        {
            getIntersectingObjects(Player.class).get(0).lives--;
            trigger = false;
        }
    }
    
    private void growAndDie()
    {
        new GreenfootImage("cosmicexplosion.png").scale(timer,timer);
        timer = timer + 5;
        if(timer >= 60)
        {
            getWorld().removeObject(this);
        }
    }
}
