import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Player extends Actor
{
    private int dashTimer;
    public int score;
    public int lives = 5;
    public Player()
    {
        Greenfoot.start();
    }

    public void act() 
    {
        dashBetter();
        changeImage();
        showScore();
    }    

    private void dashBetter()
    {
        if(dashTimer == 0)
        {
            if(Greenfoot.getMouseInfo() != null)
            {
                turnTowards(Greenfoot.getMouseInfo().getX()
                ,Greenfoot.getMouseInfo().getY());
            }
        }
        if(Greenfoot.isKeyDown("space"))
        {
            dashTimer = 5;
        }
        if(dashTimer <= 4 && dashTimer >= 0)
        {
            move(dashTimer);
        }
        else
        {
            move(10);
        }
        if(dashTimer > 0)
        {
            dashTimer--;
        }
    }

    private void showScore()
    {
        if(score > 500 && getWorld() instanceof FloppyWorld)
        {
            getWorld().removeObjects(getWorld().getObjects(Blob.class));
            Greenfoot.setWorld(new WinScreen());
        }
        
        if(score <= -100 && getWorld() instanceof FloppyWorld )
        {
            Greenfoot.setWorld(new DefeatScreen());
        }
        
        if(lives <= 0)
        {
            Greenfoot.setWorld(new DefeatScreen());
        }
    }

    private void changeImage()
    {
        if(Greenfoot.isKeyDown("space"))
        {
            setImage(new GreenfootImage("arrow3.png"));
        }
        else
        {
            setImage(new GreenfootImage("arrow2.png"));
        }
    }

    private void testMovement()
    {
        if(Greenfoot.getMouseInfo() != null)
        {
            turnTowards(Greenfoot.getMouseInfo().getX()
            ,Greenfoot.getMouseInfo().getY());
        }

        if(Greenfoot.getMouseInfo() != null 
        && Greenfoot.getMouseInfo().getButton() == 1)
        {
            move(9);
        }
    }
}
